import * as core from "@terrascript/core";

export interface DsSerialConsoleAccessArgs {}

export class DsSerialConsoleAccess extends core.Data<DsSerialConsoleAccessArgs> {
  @core.attr(Boolean, { computed: true })
  public enabled!: boolean | core.BooleanOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  constructor(name: string, args?: DsSerialConsoleAccessArgs) {
    super(name, "aws_ec2_serial_console_access", args);
  }

  public override getNamespace(): string {
    return "aws_ec2";
  }
}
